Atk::Image Class Reference

The ATK Interface implemented by components which expose image or pixmap content on-screen. More...

`#include <atkmm/image.h>`

Inheritance diagram for Atk::Image:
[legend]

## Public Member Functions

| Image (Image && src) noexcept
Image & | operator= (Image && src) noexcept
| ~Image () noexcept override
AtkImage * | gobj ()
| Provides access to the underlying C GObject.
const AtkImage * | gobj () const
| Provides access to the underlying C GObject.
bool | set_image_description (const Glib::ustring & description)
| Sets the textual description for this image.
Glib::ustring | get_image_description () const
| Get a textual description of this image.
void | get_image_size (int & width, int & height) const
| Get the width and height in pixels for the specified image.
void | get_image_position (int & x, int & y, CoordType coord_type) const
| Gets the position of the image in the form of a point specifying the images top-left corner.

## Static Public Member Functions

static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.

## Protected Member Functions

| Image ()
| You should derive from this class to use it.
virtual bool | set_image_description_vfunc (const Glib::ustring & description)
virtual const char * | get_image_description_vfunc () const
virtual void | get_image_position_vfunc (int & x, int & y, CoordType coord_type) const
virtual void | get_image_size_vfunc (int & width, int & height) const

## Related Symbols

(Note that these are not member symbols.)
Glib::RefPtr< Atk::Image > | wrap (AtkImage * object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

The ATK Interface implemented by components which expose image or pixmap content on-screen.

This should be implemented by Atk::Object subtypes on behalf of components which display image/pixmap information onscreen, and which provide information (other than just widget borders, etc.) via that image content. For instance, icons, buttons with icons, toolbar elements, and image viewing panes typically should implement AtkImage.

Atk::Image primarily provides two types of information: coordinate information (useful for screen review mode of screenreaders, and for use by onscreen magnifiers), and descriptive information. The descriptive information is provided for alternative, text-only presentation of the most significant information present in the image.

## Constructor & Destructor Documentation

## Image() [1/2]

Atk::Image::Image | ( |  | ) |

protected

You should derive from this class to use it.

## Image() [2/2]

Atk::Image::Image | ( | Image && | src | ) |

noexcept

## ~Image()

Atk::Image::~Image | ( |  | ) |

override noexcept

## Member Function Documentation

## add_interface()

void Atk::Image::add_interface | ( | GType | gtype_implementer | ) |

static

## get_image_description()

Glib::ustring Atk::Image::get_image_description | ( |  | ) | const

Get a textual description of this image.

Returns
  A string representing the image description.

## get_image_description_vfunc()

virtual const char * Atk::Image::get_image_description_vfunc | ( |  | ) | const

protected virtual

## get_image_position()

void Atk::Image::get_image_position | ( | int & | x,
|  | int & | y,
|  | CoordType | coord_type ) const

Gets the position of the image in the form of a point specifying the images top-left corner.

Parameters

  x | Address of int to put x coordinate position; otherwise, -1 if value cannot be obtained.
  y | Address of int to put y coordinate position; otherwise, -1 if value cannot be obtained.
  coord_type | Specifies whether the coordinates are relative to the screen or to the components top level window.

## get_image_position_vfunc()

virtual void Atk::Image::get_image_position_vfunc | ( | int & | x,
|  | int & | y,
|  | CoordType | coord_type ) const

protected virtual

## get_image_size()

void Atk::Image::get_image_size | ( | int & | width,
|  | int & | height ) const

Get the width and height in pixels for the specified image.

The values of width and height are returned as -1 if the values cannot be obtained (for instance, if the object is not onscreen).

Parameters

  width | Filled with the image width, or -1 if the value cannot be obtained.
  height | Filled with the image height, or -1 if the value cannot be obtained.

## get_image_size_vfunc()

virtual void Atk::Image::get_image_size_vfunc | ( | int & | width,
|  | int & | height ) const

protected virtual

## get_type()

GType Atk::Image::get_type | ( |  | ) |

static

Get the GType for this class, for use with the underlying GObject type system.

## gobj() [1/2]

AtkImage * Atk::Image::gobj | ( |  | ) |

inline

Provides access to the underlying C GObject.

## gobj() [2/2]

const AtkImage * Atk::Image::gobj | ( |  | ) | const

inline

Provides access to the underlying C GObject.

## operator=()

Image & Atk::Image::operator= | ( | Image && | src | ) |

noexcept

## set_image_description()

bool Atk::Image::set_image_description | ( | const Glib::ustring & | description | ) |

Sets the textual description for this image.

Parameters

  description | A string description to set for image.

Returns
  Boolean true, or false if operation could not be completed.

## set_image_description_vfunc()

virtual bool Atk::Image::set_image_description_vfunc | ( | const Glib::ustring & | description | ) |

protected virtual

## Friends And Related Symbol Documentation

## wrap()

Glib::RefPtr< Atk::Image > wrap | ( | AtkImage * | object,
|  | bool | take_copy = false )

related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.